tigase.jaxmpp.core.client.xmpp.modules.flexible_offline

## Class FlexibleOfflineMessageRetrieval.FlexibleOfflineMessageItemsAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.DiscoItemsAsyncCallback
  - - tigase.jaxmpp.core.client.xmpp.modules.flexible_offline.FlexibleOfflineMessageRetrieval.FlexibleOfflineMessageItemsAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    FlexibleOfflineMessageRetrieval

      public abstract static class FlexibleOfflineMessageRetrieval.FlexibleOfflineMessageItemsAsyncCallback
      extends DiscoveryModule.DiscoItemsAsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlexibleOfflineMessageItemsAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onOfflineMessageListReceived(ArrayList<FlexibleOfflineMessageRetrieval.Item> items)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.DiscoItemsAsyncCallback

      `onInfoReceived, onInfoReceived`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### FlexibleOfflineMessageItemsAsyncCallback

          public FlexibleOfflineMessageItemsAsyncCallback()

  - ### Method Detail

    - #### onOfflineMessageListReceived

          public abstract void onOfflineMessageListReceived(ArrayList<FlexibleOfflineMessageRetrieval.Item> items)

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Overrides:
        `onSuccess` in class `DiscoveryModule.DiscoItemsAsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.